glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Related Functions | List of all members
Glib::Threads::RecMutex Class Reference
Threads

This represents a recursive mutex. More...

`#include <glibmm/threads.h>`

## Classes
class | Lock
| Utility class for exception-safe locking of recursive mutexes. More...

## Public Member Functions
| RecMutex ()
| RecMutex (const RecMutex&)=delete
RecMutex& | operator= (const RecMutex&)=delete
| ~RecMutex ()
void | lock ()
bool | trylock ()
void | unlock ()
GRecMutex* | gobj ()

## Related Functions
(Note that these are not member functions.)
RecMutex* | wrap (GRecMutex* gobject)
| A C++ wrapper for the C object. More...

## Detailed Description

This represents a recursive mutex.

It is similar to a Mutex with the difference that it is possible to lock a RecMutex multiple times in the same thread without deadlock. When doing so, care has to be taken to unlock the recursive mutex as often as it has been locked.

Deprecated:
  Please use std::recursive_mutex instead.

## Constructor & Destructor Documentation

Glib::Threads::RecMutex::RecMutex | ( |  | ) |

Glib::Threads::RecMutex::RecMutex | ( | const RecMutex& |  | ) |
| delete

Glib::Threads::RecMutex::~RecMutex | ( |  | ) |

## Member Function Documentation

GRecMutex* Glib::Threads::RecMutex::gobj | ( |  | ) |
| inline

void Glib::Threads::RecMutex::lock | ( |  | ) |

RecMutex& Glib::Threads::RecMutex::operator= | ( | const RecMutex& |  | ) |
| delete

bool Glib::Threads::RecMutex::trylock | ( |  | ) |

void Glib::Threads::RecMutex::unlock | ( |  | ) |